//
//  CycleScrollView.h
//  CycleScrollView
//
//  Created by Vivitickey on 2017/5/17.
//  Copyright © 2017年 test. All rights reserved.
//

#import <UIKit/UIKit.h>
@class CycleScrollView;
@protocol CycleScrollViewDelegate <NSObject>

/**
 返回当前选中的pageControl 颜色

 @param cycleScrollView 当前控件
 @return 颜色
 */
-(UIColor *)colorForCurrentPageControlInCycleScrollView:(CycleScrollView *)cycleScrollView;


@end

@protocol CycleScrollViewDataSource <NSObject>

/**
 提供轮播器的数量

 @param cycleScrollView 当前控制器
 @return 返回数量
 */
- (NSInteger)numberOfItemsInCycleScrollView:(CycleScrollView *)cycleScrollView;


/**
 获取图片轮播器图片

 @param cycleScrollView 当前控制器
 @param index 下标
 @return 返回轮播器图片地址
 */
-(NSURL *)cycleScrollView:(CycleScrollView *)cycleScrollView imageURLForItemAtIndex:(NSInteger)index;


@end


@interface CycleScrollView : UIView

@property (weak,nonatomic) id<CycleScrollViewDelegate>      delegate;

@property (weak,nonatomic) id<CycleScrollViewDataSource>    dataSource;

@property (strong,nonatomic) UIImage                        *defaultImage;

/**
 刷新数据
 */
-(void)reloadData;

-(void)clearTimer;

@end
