//
//  ViewController.m
//  CycleScrollView
//
//  Created by Vivitickey on 2017/5/17.
//  Copyright © 2017年 test. All rights reserved.
//

#import "ViewController.h"
#import "CycleScrollView.h"
@interface ViewController ()<CycleScrollViewDataSource,CycleScrollViewDelegate>

@property (weak, nonatomic) IBOutlet CycleScrollView *cycleScrollView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.cycleScrollView.dataSource = self;
    self.cycleScrollView.delegate = self;
    [self.cycleScrollView reloadData];
}


#pragma mark - HMCycleScrollViewDataSource -
/**
 提供轮播器数量
 
 @param cycleScrollView 当前控件
 @return 返回数量
 */
- (NSInteger)numberOfItemsInCycleScrollView:(CycleScrollView *)cycleScrollView {
    return 5;
}


/**
 获取图片轮播器图片
 
 @param cycleScrollView 当前控件
 @param index 下标
 @return 返回轮播器图片地址
 */
- (NSURL *)cycleScrollView:(CycleScrollView *)cycleScrollView imageURLForItemAtIndex:(NSInteger)index {
    switch (index) {
        case 0:
            return [NSURL URLWithString:@"https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1495588661&di=e60592464ccd6cd4ed0408513dfb7a56&imgtype=jpg&er=1&src=http%3A%2F%2Fpic23.nipic.com%2F20120807%2F10606741_101301566153_2.jpg"];
            break;
        case 1:
            return [NSURL URLWithString:@"https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1494993969751&di=eff867bb5d767f9a2ecbd90fde8e77bb&imgtype=0&src=http%3A%2F%2Fpic2.cxtuku.com%2F00%2F00%2F47%2Fb439b60ebd34.jpg"];
        case 2:
            return [NSURL URLWithString:@"https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1494993969751&di=1ef1b6d764466d66a23c72bdaff338d5&imgtype=0&src=http%3A%2F%2Fpic.58pic.com%2F58pic%2F17%2F30%2F94%2F46V58PICdxR_1024.jpg"];
        case 3:
            return [NSURL URLWithString:@"https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1494993969750&di=9002fb261d102276e4c3a8c88f7c4603&imgtype=0&src=http%3A%2F%2Fpic.58pic.com%2F58pic%2F13%2F01%2F31%2F89m58PICD2w.jpg"];
        case 4:
            return [NSURL URLWithString:@"https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1494993969750&di=2edac77e1c117e6e8f0fbd463b86de1d&imgtype=0&src=http%3A%2F%2Fimg.sccnn.com%2Fbimg%2F338%2F37189.jpg"];
            
        default:
            break;
    }
    return nil;
}

/**
 返回当前选中的pageControl 颜色
 
 @param cycleScrollView 当前控件
 @return 颜色
 */
- (UIColor *)colorForCurrentPageControlInCycleScrollView:(CycleScrollView *)cycleScrollView {
    return [UIColor orangeColor];
}


@end
